from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRubySelection(XInterface, Protocol):
    def getRubyList(self, Automatic: bool) -> list[PropertyValues]: ...
    def setRubyList(self, RubyList: PropertyValues >, Automatic: bool) -> None: ...
